Package org.jfree.layouting.input.style.values

## Class CSSCounterFunction

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSCounterFunction

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class CSSCounterFunction
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 23.11.2005, 12:04:56
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSCounterFunction​(java.lang.String identifier, java.lang.String listStyle, java.lang.String separator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `java.lang.String` | `getIdentifier​()` |
    `java.lang.String` | `getListStyle​()` |
    `java.lang.String` | `getSeparator​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSCounterFunction

          public CSSCounterFunction​(java.lang.String identifier,
                                    java.lang.String listStyle,
                                    java.lang.String separator)

  - ### Method Detail

    - #### getIdentifier

          public java.lang.String getIdentifier​()

    - #### getListStyle

          public java.lang.String getListStyle​()

    - #### getSeparator

          public java.lang.String getSeparator​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`